import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene; 
import javafx.scene.image.Image;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

import java.util.List;
import java.awt.image.*;
import java.io.*;


public class Convolve2 extends Application {
 
     @Override public void start(Stage stage) {

	String file1 = "test3.png";
	List<String> args = getParameters().getRaw();
	String filename =  args.size()>0? args.get(0): file1;

	BufferedImage img = ImageOp.readImage(filename);
	int mag = 16;
	 showImage show1 = new showImage(ImageOp.replicate(img,mag),filename);
	 show1.setStage(stage);
	 stage.setX(100);
	 stage.setY(100);

	listImage.listGray(img,filename);
	int mask[][] = { {1, 2, 1}, {2, 4, 2}, {1, 2, 1} };;
	Convolve c = new Convolve(mask);
	c.setScale(16);
	c.showMatrix(mask,"convolution mask");
	BufferedImage outp = c.doConvolve(img);
	listImage.listGray(outp,filename);
	 showImage show2 = new showImage(ImageOp.replicate(outp,mag),"bipolar");
	 Stage stage2 = new Stage();
	 show2.setStage(stage2);
	 stage2.setX(140+stage.getWidth());
	 stage2.setY(100);		
		
    }

     public static void main(String[] args) {
         Application.launch(args);
     }
}
